# Notices

A notice is the high-level definition of a consent notice, including its ID, its name, and its creation/archival dates.

The `/widgets/notices` endpoint of the API exposes the notices managed by Didomi for your organizations. For a full reference of the endpoint and the resources that it returns, visit <https://api.didomi.io/docs/>.

## Create a consent notice

To create a consent notice, send a **POST** `/widgets/notices` request with the name of the notice to create and the ID of the organization that will host it:

```javascript
POST https://api.didomi.io/v1/widgets/notices

BODY
{
    "organization_id": "didomi",
    "name": "My consent notice"
}
```

The API will return a response similar to:

```javascript
{
    "name": "My consent notice",
    "archived_at": null,
    "organization_id": "didomi",
    "id": "7wmRYUH6",
    "created_at": "2021-03-27T08:38:10.831Z",
    "updated_at": "2021-03-27T08:38:10.831Z",
    "version": 0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.didomi.io/api-and-platform/widgets/consent-notices/notices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
